
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.lightMode{
height: 100vh;
background-color: #ffffff;
}

.darkMode{
    height: 100vh;
    background-color: #1D2129;
    }
        

html {
    font-size: 15px;
    font-family: 'DM Serif Display', serif;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

.header{
    background-color: rgb(225, 252, 224);
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.7rem 1.5rem;
}

/*-----hamburger styles-----*/
.hamburger {
    display: none;}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color:rgb(54,187,46);
}

/*----- styles for other elements-----*/
.nav-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-item {
    margin-left: 5rem;
}

.nav-link{
    font-size: 1.6rem;
    font-weight: 400;
    color:rgb(54,187,46);
}

.nav-link:hover{
    color: #9f55fb;
}

.nav-logo {
    font-size: 2rem;
    font-weight:bolder;
    color:rgb(54,187,46);
}

    h1{
        color: rgb(20, 55, 152); 
        text-align: center;
        text-decoration: none;
        font-size: 50px;
        font-family: 'DM Serif Display', serif;
        padding-top: 20px; 
        font-weight: lighter;
        padding-left: 80px;
        padding-right: 80px;
    }

    h2{
        color:#9f55fb; 
        text-align: center;
        text-decoration: none;
        font-size: 50px;
        font-family: 'DM Serif Display', serif;
        padding-top: 20px; 
        font-weight: lighter;
        padding-left: 80px;
        padding-right: 80px;
        padding-bottom: 30px;
    }
    
 .column{
    text-align: center;
    padding-top: 30;
 }
    

/*----LOGIN----*/

.login-form{
    font-family: 'DM Serif Display', serif;
    justify-content: center;
    align-items: center;
    color :rgb(54,187,46);
    padding-top: 10%;
    text-align: center;
    text-decoration: none;    
}

  .login-form input {
    width: 50%;
    padding: 10px;
    margin: 10px; 
    background-color: rgb(225, 252, 224);
    color :rgb(54,187,46);
    border: none;
    font-family: 'DM Serif Display', serif;
    font-weight: lighter;
}

   .login-form button {
    width: 50%;
    padding: 10px;
    margin: 10px;
    background-color:rgb(54,187,46); 
    color: white;
    border: none;
    font-family: 'DM Serif Display', serif;
     cursor: pointer;
    }


/*----------footer----------*/
.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: rgb(225, 252, 224);
    text-align: center;
    color:#9f55fb; 
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    font-family: 'DM Serif Display', serif;
    padding-top: 20px; /*the light green footer will expend to the top*/
 }

    
/*------SOCIAL MEDIA ICONS------*/
.fa {
    padding: 17px;
    font-size: 70px;
    width: 20px;
    text-align: center;
    text-decoration: none;}
  
.fa:hover {
    opacity: 0.7;}
      
.fa-facebook {
    color:#9f55fb;}
      
.fa-twitter {
    color: #9f55fb;}
      
.fa-instagram {
    color:#9f55fb;}


/*--------------------------iPad----------------------------*/
/*------------------------------------------------------------*/
@media only screen and (max-width: 768px) {
    .nav-menu {
        position: fixed;
        left: -100%;
        top: 5rem;
        flex-direction: column;
        background-color: #fff;
        width: 100%;
        border-radius: 10px;
        text-align: center;
        transition: 0.3s;
        box-shadow:
            0 10px 27px rgba(0, 0, 0, 0.05);}

    .nav-menu.active {
        left: 0;}

    .nav-item {
        margin: 0.5rem 0;}

    .hamburger {
        display: block;
        cursor: pointer;}

h1{
    color: rgb(38, 96, 162); 
    text-align: center;
    text-decoration: none;
    font-size: 25px;
    font-family: 'DM Serif Display', serif;
    padding-top: 30px; 
    font-weight: lighter;
    padding-left: 30px;
    padding-right: 30px;
    line-height: 110%;
}
h2{
    color:#9f55fb; 
    text-align: center;
    text-decoration: none;
    font-size: 35px;
    font-family: 'DM Serif Display', serif;
    padding-top: 20px; 
    font-weight: lighter;
    padding-left: 30px;
    padding-right: 30px;
    line-height: 110%;
}

.column{
    text-align: center;
    padding-top: 10;
 }

.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: rgb(225, 252, 224);
    text-align: center;
    color:#9f55fb; 
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    font-family: 'DM Serif Display', serif;
    padding-top: 20px; /*the light green footer will expend to the top*/
 }
}



/*--------------------------Mobile----------------------------*/
/*------------------------------------------------------------*/
    @media only screen and (max-width: 600px) {
        

            .fa {
                padding: 17px;
                font-size: 50px;
                width: 1px;
                text-align: center;
                text-decoration: none;}  
                
                h1{
                    color: rgb(33, 41, 156); 
                    text-align: center;
                    text-decoration: none;
                    font-size: 30px;
                    font-family: 'DM Serif Display', serif;
                    padding-top: 20px; 
                    font-weight: lighter;
                    padding-left: 40px;
                    padding-right: 40px;
                }
                h2{
                    color:#9f55fb; 
                    text-align: center;
                    text-decoration: none;
                    font-size: 20px;
                    font-family: 'DM Serif Display', serif;
                    padding-top: 10px; 
                    font-weight: lighter;
                    padding-left: 40px;
                    padding-right: 40px;
                }

                .column{
                    text-align: center;
                    padding-top: 0;
                 }

                .footer {
                    position: fixed;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    background-color: rgb(225, 252, 224);
                    text-align: center;
                    color:#9f55fb; 
                    text-align: center;
                    text-decoration: none;
                    font-size: 13px;
                    font-family: 'DM Serif Display', serif;
                    padding-top: 20px; /*the light green footer will expend to the top*/
                    padding-left: 30px;
                    padding-right: 30px;
                 }   
            }




        


